org.apache.ignite.internal.sql

## Class SqlParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.sql.SqlParseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SqlStrictParseException

    public class SqlParseException
    extends IgniteException

Parse exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `SqlParseException(SqlParseException e)` Copy constructor.
`` `SqlParseException(String sql, int pos, int code, String msg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `code()`
`int` `position()`
`String` `sql()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlParseException

    public SqlParseException(String sql,
                             int pos,
                             int code,
                             String msg)

Constructor.

Parameters:
  `sql` - SQL command.
  `pos` - Position.
  `code` - Error code (parsing, unsupported operation, etc.).
  `msg` - Message.

#### SqlParseException

    protected SqlParseException(SqlParseException e)

Copy constructor.

Parameters:
  `e` - Copied exception.

### Method Detail

#### sql

    public String sql()

Returns:
  SQL command.

#### position

    public int position()

Returns:
  Position.

#### code

    public int code()

Returns:
  Error code.

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019